Loading...
Searching...
No Matches
ANNbruteForce Class Reference

`#include <ANN.h>`

## Detailed Description

Definition at line 517 of file ANN.h.

Inheritance diagram for ANNbruteForce:
[legend]

## Public Member Functions

| ANNbruteForce (ANNpointArray pa, int n, int dd)
int | annkFRSearch (ANNpoint q, ANNdist sqRad, int k=0, ANNidxArray nn_idx=NULL, ANNdistArray dd=NULL, double eps=0.0)
void | annkSearch (ANNpoint q, int k, ANNidxArray nn_idx, ANNdistArray dd, double eps=0.0)
int | nPoints ()
int | theDim ()
ANNpointArray | thePoints ()
| ~ANNbruteForce ()
Public Member Functions inherited from ANNpointSet
virtual | ~ANNpointSet ()

## Private Attributes

int | dim
int | n_pts
ANNpointArray | pts

## Constructor & Destructor Documentation

## ANNbruteForce()

ANNbruteForce::ANNbruteForce | ( | ANNpointArray | pa,
|  | int | n,
|  | int | dd )

## ~ANNbruteForce()

ANNbruteForce::~ANNbruteForce | ( |  | ) |

## Member Function Documentation

## annkFRSearch()

int ANNbruteForce::annkFRSearch | ( | ANNpoint | q,
|  | ANNdist | sqRad,
|  | int | k = 0,
|  | ANNidxArray | nn_idx = NULL,
|  | ANNdistArray | dd = NULL,
|  | double | eps = 0.0 )

virtual

Implements ANNpointSet.

## annkSearch()

void ANNbruteForce::annkSearch | ( | ANNpoint | q,
|  | int | k,
|  | ANNidxArray | nn_idx,
|  | ANNdistArray | dd,
|  | double | eps = 0.0 )

virtual

Implements ANNpointSet.

## nPoints()

int ANNbruteForce::nPoints | ( |  | ) |

inline virtual

Implements ANNpointSet.

Definition at line 547 of file ANN.h.

## theDim()

int ANNbruteForce::theDim | ( |  | ) |

inline virtual

Implements ANNpointSet.

Definition at line 544 of file ANN.h.

## thePoints()

ANNpointArray ANNbruteForce::thePoints | ( |  | ) |

inline virtual

Implements ANNpointSet.

Definition at line 550 of file ANN.h.

## Field Documentation

## dim

int ANNbruteForce::dim

private

Definition at line 518 of file ANN.h.

## n_pts

int ANNbruteForce::n_pts

private

Definition at line 519 of file ANN.h.

## pts

ANNpointArray ANNbruteForce::pts

private

Definition at line 520 of file ANN.h.

Generated on 1768596610 for elastix by 1.15.0 |